%define major 4
%define name wcslib
%define libname %mklibname wcs %{major}
%define libname_virt	libwcs
%define develname %mklibname wcs -d

Name: %{name}
Version: 4.18
Release: %mkrel 2
Summary: An implementation of the FITS World Coordinate System standard

Group: Sciences/Astronomy
# Library is under LGPLv3+ utils under GPLv3+
License: LGPLv3+
URL: http://www.atnf.csiro.au/people/mcalabre/WCS/
Source0: ftp://ftp.atnf.csiro.au/pub/software/wcslib/%{name}-%{version}.tar.bz2
BuildRequires: cfitsio-devel zlib-devel

%description
WCSLIB is a library that implements the "World Coordinate System" (WCS) 
convention in FITS (Flexible Image Transport System)

%package -n %{libname}
Summary: An implementation of the FITS World Coordinate System standard
Group: Sciences/Astronomy
License: LGPLv3+
Provides: wcslib = %{version}-%{release}
%description -n %{libname}
WCSLIB is a library that implements the "World Coordinate System" (WCS) 
convention in FITS (Flexible Image Transport System)

%package -n %{develname}
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Sciences/Astronomy
License: LGPLv3+
Requires: wcslib = %{version}-%{release}
Provides: wcslib-devel = %{version}-%{release}
%description -n %{develname}
These are the files needed to develop an application using %{name}.

%package utils
Summary: Utility programs provided by %{name}
Group: Sciences/Astronomy
License: GPLv3+
Requires: wcslib = %{version}-%{release}
%description utils
Utils provided with %{name}

%prep
%setup -q 

%build
%configure2_5x --disable-fortran --disable-static
%make

%install
%makeinstall_std
# fix permissions
rm -rf %{buildroot}/usr/share/doc/wcslib-%{version}
chmod 755 %{buildroot}%{_includedir}/wcslib-%{version}
rm -rf %{buildroot}/%{_libdir}/*.a

%check
# Don't parallelize
make check

%files -n %{libname}
%doc COPYING.LESSER README
%{_libdir}/*.so.*

%files -n %{develname}
%doc COPYING.LESSER html wcslib.pdf
%{_libdir}/*.so
%{_libdir}/pkgconfig/wcslib.pc
%{_includedir}/wcslib
%{_includedir}/wcslib-%{version}

%files utils
%doc COPYING 
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.18-2.mga4
+ Revision: 530603
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 4.18-1.mga4
+ Revision: 458524
- do not parallel make check
- update to 4.18
- update to 4.18
- remove %%excludes and clean up rpm execution
- imported package wcslib

